const { Schema, model } = require('mongoose')

const gameScores = new Schema({
  orange: {
    type: Number,
    default: 0,
  },
  blue: {
    type: Number,
    default : 0,
  },
})

const matches = new Schema({
  orange: {
    type: Schema.Types.ObjectId,
    refs: 'Rosters',
    required: true,
  },
  blue: {
    type: Schema.Types.ObjectId,
    refs: 'Rosters',
    required: true,
  },
  started: {
    type: Boolean,
    required: true,
  },
  done: {
    type: Boolean,
    required: true,
  },
  type: {
    type: String,
    required: true,
  },
  bestOf: {
    type: String,
    required: true,
  },
  series: {
    orange: {
      type: Number,
      required: true,
    },
    blue: {
      type: Number,
      required: true,
    },
  },
  games: {
    type: [gameScores],
  }
})

const Match = model('Matches', matches)

module.exports = Match